clan::StandardColor Class Reference - ClanLib SDK
Description: clan::StandardColor Class Reference

Static Public Member Functions | List of all members
clan::StandardColor Class Reference
clanDisplay 2D

Standard X11/HTML named colors. More...

`#include <color.h>`

## Static Public Member Functions
static Color | aliceblue ()
static Color | antiquewhite ()
static Color | aqua ()
static Color | aquamarine ()
static Color | azure ()
static Color | beige ()
static Color | bisque ()
static Color | black ()
static Color | blanchedalmond ()
static Color | blue ()
static Color | blueviolet ()
static Color | brown ()
static Color | burlywood ()
static Color | cadetblue ()
static Color | chartreuse ()
static Color | chocolate ()
static Color | coral ()
static Color | cornflowerblue ()
static Color | cornsilk ()
static Color | crimson ()
static Color | cyan ()
static Color | darkblue ()
static Color | darkcyan ()
static Color | darkgoldenrod ()
static Color | darkgray ()
static Color | darkgreen ()
static Color | darkgrey ()
static Color | darkkhaki ()
static Color | darkmagenta ()
static Color | darkolivegreen ()
static Color | darkorange ()
static Color | darkorchid ()
static Color | darkred ()
static Color | darksalmon ()
static Color | darkseagreen ()
static Color | darkslateblue ()
static Color | darkslategray ()
static Color | darkslategrey ()
static Color | darkturquoise ()
static Color | darkviolet ()
static Color | deeppink ()
static Color | deepskyblue ()
static Color | dimgray ()
static Color | dimgrey ()
static Color | dodgerblue ()
static Color | firebrick ()
static Color | floralwhite ()
static Color | forestgreen ()
static Color | fuchsia ()
static Color | gainsboro ()
static Color | ghostwhite ()
static Color | gold ()
static Color | goldenrod ()
static Color | gray ()
static Color | gray10 ()
static Color | gray20 ()
static Color | gray30 ()
static Color | gray40 ()
static Color | gray50 ()
static Color | gray60 ()
static Color | gray70 ()
static Color | gray80 ()
static Color | gray90 ()
static Color | green ()
static Color | greenyellow ()
static Color | grey ()
static Color | honeydew ()
static Color | hotpink ()
static Color | indianred ()
static Color | indigo ()
static Color | ivory ()
static Color | khaki ()
static Color | lavender ()
static Color | lavenderblush ()
static Color | lawngreen ()
static Color | lemonchiffon ()
static Color | lightblue ()
static Color | lightcoral ()
static Color | lightcyan ()
static Color | lightgoldenrodyellow ()
static Color | lightgray ()
static Color | lightgreen ()
static Color | lightgrey ()
static Color | lightpink ()
static Color | lightsalmon ()
static Color | lightseagreen ()
static Color | lightskyblue ()
static Color | lightslategray ()
static Color | lightslategrey ()
static Color | lightsteelblue ()
static Color | lightyellow ()
static Color | lime ()
static Color | limegreen ()
static Color | linen ()
static Color | magenta ()
static Color | maroon ()
static Color | mediumaquamarine ()
static Color | mediumblue ()
static Color | mediumorchid ()
static Color | mediumpurple ()
static Color | mediumseagreen ()
static Color | mediumslateblue ()
static Color | mediumspringgreen ()
static Color | mediumturquoise ()
static Color | mediumvioletred ()
static Color | midnightblue ()
static Color | mintcream ()
static Color | mistyrose ()
static Color | moccasin ()
static Color | navajowhite ()
static Color | navy ()
static Color | oldlace ()
static Color | olive ()
static Color | olivedrab ()
static Color | orange ()
static Color | orangered ()
static Color | orchid ()
static Color | palegoldenrod ()
static Color | palegreen ()
static Color | paleturquoise ()
static Color | palevioletred ()
static Color | papayawhip ()
static Color | peachpuff ()
static Color | peru ()
static Color | pink ()
static Color | plum ()
static Color | powderblue ()
static Color | purple ()
static Color | red ()
static Color | rosybrown ()
static Color | royalblue ()
static Color | saddlebrown ()
static Color | salmon ()
static Color | sandybrown ()
static Color | seagreen ()
static Color | seashell ()
static Color | sienna ()
static Color | silver ()
static Color | skyblue ()
static Color | slateblue ()
static Color | slategray ()
static Color | slategrey ()
static Color | snow ()
static Color | springgreen ()
static Color | steelblue ()
static Color | tan ()
static Color | teal ()
static Color | thistle ()
static Color | tomato ()
static Color | transparent ()
static Color | turquoise ()
static Color | violet ()
static Color | wheat ()
static Color | white ()
static Color | whitesmoke ()
static Color | yellow ()
static Color | yellowgreen ()

## Detailed Description

Standard X11/HTML named colors.

## Member Function Documentation

## ◆ aliceblue()

Color clan::StandardColor::aliceblue | ( |  | ) |
| inlinestatic

## ◆ antiquewhite()

Color clan::StandardColor::antiquewhite | ( |  | ) |
| inlinestatic

## ◆ aqua()

Color clan::StandardColor::aqua | ( |  | ) |
| inlinestatic

## ◆ aquamarine()

Color clan::StandardColor::aquamarine | ( |  | ) |
| inlinestatic

## ◆ azure()

Color clan::StandardColor::azure | ( |  | ) |
| inlinestatic

## ◆ beige()

Color clan::StandardColor::beige | ( |  | ) |
| inlinestatic

## ◆ bisque()

Color clan::StandardColor::bisque | ( |  | ) |
| inlinestatic

## ◆ black()

Color clan::StandardColor::black | ( |  | ) |
| inlinestatic

## ◆ blanchedalmond()

Color clan::StandardColor::blanchedalmond | ( |  | ) |
| inlinestatic

## ◆ blue()

Color clan::StandardColor::blue | ( |  | ) |
| inlinestatic

## ◆ blueviolet()

Color clan::StandardColor::blueviolet | ( |  | ) |
| inlinestatic

## ◆ brown()

Color clan::StandardColor::brown | ( |  | ) |
| inlinestatic

## ◆ burlywood()

Color clan::StandardColor::burlywood | ( |  | ) |
| inlinestatic

## ◆ cadetblue()

Color clan::StandardColor::cadetblue | ( |  | ) |
| inlinestatic

## ◆ chartreuse()

Color clan::StandardColor::chartreuse | ( |  | ) |
| inlinestatic

## ◆ chocolate()

Color clan::StandardColor::chocolate | ( |  | ) |
| inlinestatic

## ◆ coral()

Color clan::StandardColor::coral | ( |  | ) |
| inlinestatic

## ◆ cornflowerblue()

Color clan::StandardColor::cornflowerblue | ( |  | ) |
| inlinestatic

## ◆ cornsilk()

Color clan::StandardColor::cornsilk | ( |  | ) |
| inlinestatic

## ◆ crimson()

Color clan::StandardColor::crimson | ( |  | ) |
| inlinestatic

## ◆ cyan()

Color clan::StandardColor::cyan | ( |  | ) |
| inlinestatic

## ◆ darkblue()

Color clan::StandardColor::darkblue | ( |  | ) |
| inlinestatic

## ◆ darkcyan()

Color clan::StandardColor::darkcyan | ( |  | ) |
| inlinestatic

## ◆ darkgoldenrod()

Color clan::StandardColor::darkgoldenrod | ( |  | ) |
| inlinestatic

## ◆ darkgray()

Color clan::StandardColor::darkgray | ( |  | ) |
| inlinestatic

## ◆ darkgreen()

Color clan::StandardColor::darkgreen | ( |  | ) |
| inlinestatic

## ◆ darkgrey()

Color clan::StandardColor::darkgrey | ( |  | ) |
| inlinestatic

## ◆ darkkhaki()

Color clan::StandardColor::darkkhaki | ( |  | ) |
| inlinestatic

## ◆ darkmagenta()

Color clan::StandardColor::darkmagenta | ( |  | ) |
| inlinestatic

## ◆ darkolivegreen()

Color clan::StandardColor::darkolivegreen | ( |  | ) |
| inlinestatic

## ◆ darkorange()

Color clan::StandardColor::darkorange | ( |  | ) |
| inlinestatic

## ◆ darkorchid()

Color clan::StandardColor::darkorchid | ( |  | ) |
| inlinestatic

## ◆ darkred()

Color clan::StandardColor::darkred | ( |  | ) |
| inlinestatic

## ◆ darksalmon()

Color clan::StandardColor::darksalmon | ( |  | ) |
| inlinestatic

## ◆ darkseagreen()

Color clan::StandardColor::darkseagreen | ( |  | ) |
| inlinestatic

## ◆ darkslateblue()

Color clan::StandardColor::darkslateblue | ( |  | ) |
| inlinestatic

## ◆ darkslategray()

Color clan::StandardColor::darkslategray | ( |  | ) |
| inlinestatic

## ◆ darkslategrey()

Color clan::StandardColor::darkslategrey | ( |  | ) |
| inlinestatic

## ◆ darkturquoise()

Color clan::StandardColor::darkturquoise | ( |  | ) |
| inlinestatic

## ◆ darkviolet()

Color clan::StandardColor::darkviolet | ( |  | ) |
| inlinestatic

## ◆ deeppink()

Color clan::StandardColor::deeppink | ( |  | ) |
| inlinestatic

## ◆ deepskyblue()

Color clan::StandardColor::deepskyblue | ( |  | ) |
| inlinestatic

## ◆ dimgray()

Color clan::StandardColor::dimgray | ( |  | ) |
| inlinestatic

## ◆ dimgrey()

Color clan::StandardColor::dimgrey | ( |  | ) |
| inlinestatic

## ◆ dodgerblue()

Color clan::StandardColor::dodgerblue | ( |  | ) |
| inlinestatic

## ◆ firebrick()

Color clan::StandardColor::firebrick | ( |  | ) |
| inlinestatic

## ◆ floralwhite()

Color clan::StandardColor::floralwhite | ( |  | ) |
| inlinestatic

## ◆ forestgreen()

Color clan::StandardColor::forestgreen | ( |  | ) |
| inlinestatic

## ◆ fuchsia()

Color clan::StandardColor::fuchsia | ( |  | ) |
| inlinestatic

## ◆ gainsboro()

Color clan::StandardColor::gainsboro | ( |  | ) |
| inlinestatic

## ◆ ghostwhite()

Color clan::StandardColor::ghostwhite | ( |  | ) |
| inlinestatic

## ◆ gold()

Color clan::StandardColor::gold | ( |  | ) |
| inlinestatic

## ◆ goldenrod()

Color clan::StandardColor::goldenrod | ( |  | ) |
| inlinestatic

## ◆ gray()

Color clan::StandardColor::gray | ( |  | ) |
| inlinestatic

## ◆ gray10()

Color clan::StandardColor::gray10 | ( |  | ) |
| inlinestatic

## ◆ gray20()

Color clan::StandardColor::gray20 | ( |  | ) |
| inlinestatic

## ◆ gray30()

Color clan::StandardColor::gray30 | ( |  | ) |
| inlinestatic

## ◆ gray40()

Color clan::StandardColor::gray40 | ( |  | ) |
| inlinestatic

## ◆ gray50()

Color clan::StandardColor::gray50 | ( |  | ) |
| inlinestatic

## ◆ gray60()

Color clan::StandardColor::gray60 | ( |  | ) |
| inlinestatic

## ◆ gray70()

Color clan::StandardColor::gray70 | ( |  | ) |
| inlinestatic

## ◆ gray80()

Color clan::StandardColor::gray80 | ( |  | ) |
| inlinestatic

## ◆ gray90()

Color clan::StandardColor::gray90 | ( |  | ) |
| inlinestatic

## ◆ green()

Color clan::StandardColor::green | ( |  | ) |
| inlinestatic

## ◆ greenyellow()

Color clan::StandardColor::greenyellow | ( |  | ) |
| inlinestatic

## ◆ grey()

Color clan::StandardColor::grey | ( |  | ) |
| inlinestatic

## ◆ honeydew()

Color clan::StandardColor::honeydew | ( |  | ) |
| inlinestatic

## ◆ hotpink()

Color clan::StandardColor::hotpink | ( |  | ) |
| inlinestatic

## ◆ indianred()

Color clan::StandardColor::indianred | ( |  | ) |
| inlinestatic

## ◆ indigo()

Color clan::StandardColor::indigo | ( |  | ) |
| inlinestatic

## ◆ ivory()

Color clan::StandardColor::ivory | ( |  | ) |
| inlinestatic

## ◆ khaki()

Color clan::StandardColor::khaki | ( |  | ) |
| inlinestatic

## ◆ lavender()

Color clan::StandardColor::lavender | ( |  | ) |
| inlinestatic

## ◆ lavenderblush()

Color clan::StandardColor::lavenderblush | ( |  | ) |
| inlinestatic

## ◆ lawngreen()

Color clan::StandardColor::lawngreen | ( |  | ) |
| inlinestatic

## ◆ lemonchiffon()

Color clan::StandardColor::lemonchiffon | ( |  | ) |
| inlinestatic

## ◆ lightblue()

Color clan::StandardColor::lightblue | ( |  | ) |
| inlinestatic

## ◆ lightcoral()

Color clan::StandardColor::lightcoral | ( |  | ) |
| inlinestatic

## ◆ lightcyan()

Color clan::StandardColor::lightcyan | ( |  | ) |
| inlinestatic

## ◆ lightgoldenrodyellow()

Color clan::StandardColor::lightgoldenrodyellow | ( |  | ) |
| inlinestatic

## ◆ lightgray()

Color clan::StandardColor::lightgray | ( |  | ) |
| inlinestatic

## ◆ lightgreen()

Color clan::StandardColor::lightgreen | ( |  | ) |
| inlinestatic

## ◆ lightgrey()

Color clan::StandardColor::lightgrey | ( |  | ) |
| inlinestatic

## ◆ lightpink()

Color clan::StandardColor::lightpink | ( |  | ) |
| inlinestatic

## ◆ lightsalmon()

Color clan::StandardColor::lightsalmon | ( |  | ) |
| inlinestatic

## ◆ lightseagreen()

Color clan::StandardColor::lightseagreen | ( |  | ) |
| inlinestatic

## ◆ lightskyblue()

Color clan::StandardColor::lightskyblue | ( |  | ) |
| inlinestatic

## ◆ lightslategray()

Color clan::StandardColor::lightslategray | ( |  | ) |
| inlinestatic

## ◆ lightslategrey()

Color clan::StandardColor::lightslategrey | ( |  | ) |
| inlinestatic

## ◆ lightsteelblue()

Color clan::StandardColor::lightsteelblue | ( |  | ) |
| inlinestatic

## ◆ lightyellow()

Color clan::StandardColor::lightyellow | ( |  | ) |
| inlinestatic

## ◆ lime()

Color clan::StandardColor::lime | ( |  | ) |
| inlinestatic

## ◆ limegreen()

Color clan::StandardColor::limegreen | ( |  | ) |
| inlinestatic

## ◆ linen()

Color clan::StandardColor::linen | ( |  | ) |
| inlinestatic

## ◆ magenta()

Color clan::StandardColor::magenta | ( |  | ) |
| inlinestatic

## ◆ maroon()

Color clan::StandardColor::maroon | ( |  | ) |
| inlinestatic

## ◆ mediumaquamarine()

Color clan::StandardColor::mediumaquamarine | ( |  | ) |
| inlinestatic

## ◆ mediumblue()

Color clan::StandardColor::mediumblue | ( |  | ) |
| inlinestatic

## ◆ mediumorchid()

Color clan::StandardColor::mediumorchid | ( |  | ) |
| inlinestatic

## ◆ mediumpurple()

Color clan::StandardColor::mediumpurple | ( |  | ) |
| inlinestatic

## ◆ mediumseagreen()

Color clan::StandardColor::mediumseagreen | ( |  | ) |
| inlinestatic

## ◆ mediumslateblue()

Color clan::StandardColor::mediumslateblue | ( |  | ) |
| inlinestatic

## ◆ mediumspringgreen()

Color clan::StandardColor::mediumspringgreen | ( |  | ) |
| inlinestatic

## ◆ mediumturquoise()

Color clan::StandardColor::mediumturquoise | ( |  | ) |
| inlinestatic

## ◆ mediumvioletred()

Color clan::StandardColor::mediumvioletred | ( |  | ) |
| inlinestatic

## ◆ midnightblue()

Color clan::StandardColor::midnightblue | ( |  | ) |
| inlinestatic

## ◆ mintcream()

Color clan::StandardColor::mintcream | ( |  | ) |
| inlinestatic

## ◆ mistyrose()

Color clan::StandardColor::mistyrose | ( |  | ) |
| inlinestatic

## ◆ moccasin()

Color clan::StandardColor::moccasin | ( |  | ) |
| inlinestatic

## ◆ navajowhite()

Color clan::StandardColor::navajowhite | ( |  | ) |
| inlinestatic

## ◆ navy()

Color clan::StandardColor::navy | ( |  | ) |
| inlinestatic

## ◆ oldlace()

Color clan::StandardColor::oldlace | ( |  | ) |
| inlinestatic

## ◆ olive()

Color clan::StandardColor::olive | ( |  | ) |
| inlinestatic

## ◆ olivedrab()

Color clan::StandardColor::olivedrab | ( |  | ) |
| inlinestatic

## ◆ orange()

Color clan::StandardColor::orange | ( |  | ) |
| inlinestatic

## ◆ orangered()

Color clan::StandardColor::orangered | ( |  | ) |
| inlinestatic

## ◆ orchid()

Color clan::StandardColor::orchid | ( |  | ) |
| inlinestatic

## ◆ palegoldenrod()

Color clan::StandardColor::palegoldenrod | ( |  | ) |
| inlinestatic

## ◆ palegreen()

Color clan::StandardColor::palegreen | ( |  | ) |
| inlinestatic

## ◆ paleturquoise()

Color clan::StandardColor::paleturquoise | ( |  | ) |
| inlinestatic

## ◆ palevioletred()

Color clan::StandardColor::palevioletred | ( |  | ) |
| inlinestatic

## ◆ papayawhip()

Color clan::StandardColor::papayawhip | ( |  | ) |
| inlinestatic

## ◆ peachpuff()

Color clan::StandardColor::peachpuff | ( |  | ) |
| inlinestatic

## ◆ peru()

Color clan::StandardColor::peru | ( |  | ) |
| inlinestatic

## ◆ pink()

Color clan::StandardColor::pink | ( |  | ) |
| inlinestatic

## ◆ plum()

Color clan::StandardColor::plum | ( |  | ) |
| inlinestatic

## ◆ powderblue()

Color clan::StandardColor::powderblue | ( |  | ) |
| inlinestatic

## ◆ purple()

Color clan::StandardColor::purple | ( |  | ) |
| inlinestatic

## ◆ red()

Color clan::StandardColor::red | ( |  | ) |
| inlinestatic

## ◆ rosybrown()

Color clan::StandardColor::rosybrown | ( |  | ) |
| inlinestatic

## ◆ royalblue()

Color clan::StandardColor::royalblue | ( |  | ) |
| inlinestatic

## ◆ saddlebrown()

Color clan::StandardColor::saddlebrown | ( |  | ) |
| inlinestatic

## ◆ salmon()

Color clan::StandardColor::salmon | ( |  | ) |
| inlinestatic

## ◆ sandybrown()

Color clan::StandardColor::sandybrown | ( |  | ) |
| inlinestatic

## ◆ seagreen()

Color clan::StandardColor::seagreen | ( |  | ) |
| inlinestatic

## ◆ seashell()

Color clan::StandardColor::seashell | ( |  | ) |
| inlinestatic

## ◆ sienna()

Color clan::StandardColor::sienna | ( |  | ) |
| inlinestatic

## ◆ silver()

Color clan::StandardColor::silver | ( |  | ) |
| inlinestatic

## ◆ skyblue()

Color clan::StandardColor::skyblue | ( |  | ) |
| inlinestatic

## ◆ slateblue()

Color clan::StandardColor::slateblue | ( |  | ) |
| inlinestatic

## ◆ slategray()

Color clan::StandardColor::slategray | ( |  | ) |
| inlinestatic

## ◆ slategrey()

Color clan::StandardColor::slategrey | ( |  | ) |
| inlinestatic

## ◆ snow()

Color clan::StandardColor::snow | ( |  | ) |
| inlinestatic

## ◆ springgreen()

Color clan::StandardColor::springgreen | ( |  | ) |
| inlinestatic

## ◆ steelblue()

Color clan::StandardColor::steelblue | ( |  | ) |
| inlinestatic

## ◆ tan()

Color clan::StandardColor::tan | ( |  | ) |
| inlinestatic

## ◆ teal()

Color clan::StandardColor::teal | ( |  | ) |
| inlinestatic

## ◆ thistle()

Color clan::StandardColor::thistle | ( |  | ) |
| inlinestatic

## ◆ tomato()

Color clan::StandardColor::tomato | ( |  | ) |
| inlinestatic

## ◆ transparent()

Color clan::StandardColor::transparent | ( |  | ) |
| inlinestatic

## ◆ turquoise()

Color clan::StandardColor::turquoise | ( |  | ) |
| inlinestatic

## ◆ violet()

Color clan::StandardColor::violet | ( |  | ) |
| inlinestatic

## ◆ wheat()

Color clan::StandardColor::wheat | ( |  | ) |
| inlinestatic

## ◆ white()

Color clan::StandardColor::white | ( |  | ) |
| inlinestatic

## ◆ whitesmoke()

Color clan::StandardColor::whitesmoke | ( |  | ) |
| inlinestatic

## ◆ yellow()

Color clan::StandardColor::yellow | ( |  | ) |
| inlinestatic

## ◆ yellowgreen()

Color clan::StandardColor::yellowgreen | ( |  | ) |
| inlinestatic

The documentation for this class was generated from the following file:

- color.h